w4d 0.0.4

Widgets library for dlang.


To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

This package provides sub packages which can be used individually:

w4d:demo - An example program of w4d.

w4d:imgbrowser - A browser that shows only images.

w4d

w4d

w4d is a widgets library for dlang.

Requirements

  • FFmpeg 4.0
  • Freetype2 2.9.1
  • GLFW 3.2.1 or more
  • OpenGL 3.3 or more

If you use Windows, you don't need to do anything. (g4d has these libraries only for Windows.)

Warning

On Windows, you must use VisualStudio's linker. And 32bit isn't supported on all platforms.

Example

You can see projects under /example/.

Author

KanzakiKino

Authors:
  • KanzakiKino
Sub packages:
w4d:demo, w4d:imgbrowser
Dependencies:
dyaml, gl3n, g4d
Versions:
0.0.4 2018-Aug-22
0.0.3 2018-Aug-14
0.0.2 2018-Aug-14
0.0.1 2018-Aug-08
~master 2018-Aug-27
Show all 5 versions
Download Stats:
  • 0 downloads today

  • 0 downloads this week

  • 3 downloads this month

  • 19 downloads total

Score:
0.4
Short URL:
w4d.dub.pm